libboost required on v10.0.0

Post Reply
matteolucarelli
Posts: 20
Joined: Fri Feb 04, 2022 3:32 pm

libboost required on v10.0.0

Post by matteolucarelli »

Compile libvisiontransfer v10.0.0 on RedHat 8

Code: Select all

[ 83%] Linking CXX executable pcl_example
/usr/bin/ld: CMakeFiles/pcl_example.dir/pcl_example.cpp.o: undefined reference to symbol '_ZN5boost6system16generic_categoryEv'
Need to modify line 102 of CmakeLists.txt to include libboost, from:

Code: Select all

    target_link_libraries(pcl_example visiontransfer${LIB_SUFFIX} ${PCL_COMMON_LIBRARIES} ${PCL_IO_LIBRARIES} ${PCL_FILTERS_LIBRARIES} ${EXTRA_LIBS} )
to:

Code: Select all

    target_link_libraries(pcl_example visiontransfer${LIB_SUFFIX} ${PCL_COMMON_LIBRARIES} ${PCL_IO_LIBRARIES} ${PCL_FILTERS_LIBRARIES} ${EXTRA_LIBS} boost_system)
k.schauwecker
Posts: 122
Joined: Mon Mar 25, 2019 1:12 pm

Re: libboost required on v10.0.0

Post by k.schauwecker »

Could you please check if the following alternative line resolves the problem for your Linux/PCL version:

Code: Select all

target_link_libraries(pcl_example visiontransfer${LIB_SUFFIX} ${PCL_LIBRARIES} ${EXTRA_LIBS} )
If this works for you we will add this change to the next release.
matteolucarelli
Posts: 20
Joined: Fri Feb 04, 2022 3:32 pm

Re: libboost required on v10.0.0

Post by matteolucarelli »

yes, also your line works
k.schauwecker
Posts: 122
Joined: Mon Mar 25, 2019 1:12 pm

Re: libboost required on v10.0.0

Post by k.schauwecker »

OK, we will adjust this in the next release.
Post Reply